# Class FAttribute

Attribute is an abstract concept which has two real uses - label (key - value pair) and relation (representing named relationship between source and target note)

- Defined in src/public/app/entities/fattribute.ts:23

##### Index

### Constructors

constructor

### Properties

attributeId
isInheritable
name
noteId
position
type
value

### Accessors

dto
isAutoLink
targetNoteId
toString

### Methods

getDefinition
getNote
getTargetNote
isDefinition
isDefinitionFor
update

## Constructors

### constructor

- new FAttribute(froca: Froca , row: FAttributeRow ): FAttribute

  #### Parameters

  - froca: Froca
  - row: FAttributeRow

  #### Returns FAttribute

  - Defined in src/public/app/entities/fattribute.ts:33

## Properties

### attributeId

attributeId: string

- Defined in src/public/app/entities/fattribute.ts:25

### isInheritable

isInheritable: boolean

- Defined in src/public/app/entities/fattribute.ts:31

### name

name: string

- Defined in src/public/app/entities/fattribute.ts:28

### noteId

noteId: string

- Defined in src/public/app/entities/fattribute.ts:26

### position

position: number

- Defined in src/public/app/entities/fattribute.ts:30

### type

type: AttributeType

- Defined in src/public/app/entities/fattribute.ts:27

### value

value: string

- Defined in src/public/app/entities/fattribute.ts:29

## Accessors

### dto

- get dto(): Omit < FAttribute , "froca">

  #### Returns Omit < FAttribute , "froca">

  - Defined in src/public/app/entities/fattribute.ts:88

### isAutoLink

- get isAutoLink(): boolean

  #### Returns boolean

  - Defined in src/public/app/entities/fattribute.ts:68

### targetNoteId

- get targetNoteId(): string

  #### Returns string

  - Defined in src/public/app/entities/fattribute.ts:59

### toString

- get toString(): string

  #### Returns string

  - Defined in src/public/app/entities/fattribute.ts:72

## Methods

### getDefinition

- getDefinition(): DefinitionObject

  #### Returns DefinitionObject

  - Defined in src/public/app/entities/fattribute.ts:80

### getNote

- getNote(): FNote

  #### Returns FNote

  - Defined in src/public/app/entities/fattribute.ts:49

### getTargetNote

- getTargetNote(): Promise<null | FNote >

  #### Returns Promise<null | FNote >

  - Defined in src/public/app/entities/fattribute.ts:53

### isDefinition

- isDefinition(): boolean

  #### Returns boolean

  - Defined in src/public/app/entities/fattribute.ts:76

### isDefinitionFor

- isDefinitionFor(attr: FAttribute ): boolean

  #### Parameters

  - attr: FAttribute

  #### Returns boolean

  - Defined in src/public/app/entities/fattribute.ts:84

### update

- update(row: FAttributeRow ): void

  #### Parameters

  - row: FAttributeRow

  #### Returns void

  - Defined in src/public/app/entities/fattribute.ts:39